Debian Bug report logs - #520703
dh --with haskell_devscripts $@ complains: must run setup first

version graph

Package: haskell-devscripts; Maintainer for haskell-devscripts is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for haskell-devscripts is src:haskell-devscripts.

Reported by: "Trent W. Buck" <trentbuck@gmail.com>

Date: Sun, 22 Mar 2009 06:48:01 UTC

Severity: normal

Tags: help

Found in version haskell-devscripts/0.6.15+nmu7

Fixed in version haskell-devscripts/0.6.17

Done: Marco Túlio Gontijo e Silva <marcot@riseup.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Arjan Oosting <arjan@debian.org>:
Bug#520703; Package haskell-devscripts. (Sun, 22 Mar 2009 06:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
New Bug report received and forwarded. Copy sent to Arjan Oosting <arjan@debian.org>. (Sun, 22 Mar 2009 06:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dh --with haskell_devscripts $@ complains: must run setup first
Date: Sun, 22 Mar 2009 17:45:09 +1100
[Message part 1 (text/plain, inline)]
Package: haskell-devscripts
Version: 0.6.15+nmu7
Severity: normal

Attached is a typescript of a draft highlighting-kate 0.2.4 package.
My rules file is:

    #!/usr/bin/make -f
    %:
    	dh --with haskell_devscripts $@

As you can see, it gets to this point:

    dh --with haskell_devscripts binary
       dh_testroot
       dh_prep
       dh_installdirs
       dh_auto_install
       dh_haskell_install

     ******************************************
     INSTALLING libghc6-highlighting-kate-dev FOR ghc6
     ******************************************

    setup: Run the 'configure' command first.
    dh_haskell_install: ./setup returned exit code 1

I don't know why it should say this, because clearly it *was*
configured further up the transcript.

-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-23-openvz (SMP w/4 CPU cores)
Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages haskell-devscripts depends on:
ii  cdbs                     0.4.52          common build system for Debian pac
ii  dctrl-tools              2.13.1          Command-line tools to process Debi
ii  debhelper                7.2.6           helper programs for debian/rules
ii  ghc6                     6.10.1+dfsg1-13 GHC - the Glasgow Haskell Compilat
ii  xutils-dev               1:7.4+3         X Window System utility programs f

haskell-devscripts recommends no packages.

haskell-devscripts suggests no packages.

-- no debconf information
[typescript (text/x-makefile, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#520703; Package haskell-devscripts. (Sun, 18 Oct 2009 19:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sun, 18 Oct 2009 19:12:06 GMT) Full text and rfc822 format available.

Message #10 received at 520703@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: 520703@bugs.debian.org, 543776@bugs.debian.org, control@bugs.debian.org
Cc: debian-haskell@lists.debian.org
Subject: dh and dh_haskell_build
Date: Sun, 18 Oct 2009 17:03:06 -0200
tags 520703 help
tags 543776 help
thanks

Hello,

I just checked in the darcs repositories of the haskell team, and
there's no package using dh or dh_haskell_build.  Should we remove
these, and close the bugs related to them?

Greetings.

-- 
marcot
http://marcot.iaaeee.org/






Added tag(s) help. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Sun, 18 Oct 2009 19:12:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#520703; Package haskell-devscripts. (Sun, 18 Oct 2009 19:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sun, 18 Oct 2009 19:27:06 GMT) Full text and rfc822 format available.

Message #17 received at 520703@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: debian-haskell@lists.debian.org
Cc: 520703@bugs.debian.org, 543776@bugs.debian.org
Subject: Re: Bug#543776: dh and dh_haskell_build
Date: Sun, 18 Oct 2009 21:25:11 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Sonntag, den 18.10.2009, 17:03 -0200 schrieb Marco Túlio Gontijo e
Silva:
> I just checked in the darcs repositories of the haskell team, and
> there's no package using dh or dh_haskell_build.  Should we remove
> these, and close the bugs related to them?

I agree. AFAIK, also no other package uses the feature.

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#520703; Package haskell-devscripts. (Sun, 18 Oct 2009 19:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sun, 18 Oct 2009 19:27:08 GMT) Full text and rfc822 format available.

Message #22 received at 520703@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@ubuntu.com>
To: debian-haskell@lists.debian.org
Cc: 520703@bugs.debian.org, 543776@bugs.debian.org
Subject: Re: dh and dh_haskell_build
Date: Sun, 18 Oct 2009 20:25:15 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Sun, Oct 18, 2009 at 05:03:06PM -0200, Marco Túlio Gontijo e Silva wrote:
>tags 520703 help
>tags 543776 help
>thanks
>
>Hello,
>
>I just checked in the darcs repositories of the haskell team, and
>there's no package using dh or dh_haskell_build.  Should we remove
>these, and close the bugs related to them?
>

Please don't. I have a plan in the back of my mind to add cabal support 
to dh (specifically dh_auto_*), and these might prove useful there.

Regards,
Iain
[signature.asc (application/pgp-signature, inline)]

Reply sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
You have taken responsibility. (Sun, 08 Nov 2009 21:42:13 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Sun, 08 Nov 2009 21:42:13 GMT) Full text and rfc822 format available.

Message #27 received at 520703-close@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: 520703-close@bugs.debian.org
Subject: Bug#520703: fixed in haskell-devscripts 0.6.17
Date: Sun, 08 Nov 2009 21:36:40 +0000
Source: haskell-devscripts
Source-Version: 0.6.17

We believe that the bug you reported is fixed in the latest version of
haskell-devscripts, which is due to be installed in the Debian FTP archive:

haskell-devscripts_0.6.17.dsc
  to main/h/haskell-devscripts/haskell-devscripts_0.6.17.dsc
haskell-devscripts_0.6.17.tar.gz
  to main/h/haskell-devscripts/haskell-devscripts_0.6.17.tar.gz
haskell-devscripts_0.6.17_all.deb
  to main/h/haskell-devscripts/haskell-devscripts_0.6.17_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 520703@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco Túlio Gontijo e Silva <marcot@riseup.net> (supplier of updated haskell-devscripts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Nov 2009 16:55:31 -0200
Source: haskell-devscripts
Binary: haskell-devscripts
Architecture: source all
Version: 0.6.17
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Marco Túlio Gontijo e Silva <marcot@riseup.net>
Description: 
 haskell-devscripts - Tools to help Debian developers build Haskell packages
Closes: 520703 543776
Changes: 
 haskell-devscripts (0.6.17) unstable; urgency=low
 .
   * hlibrary.mk: Allow spaces before : in cabal fields.
   * Remove unsuported packaging scripts, leaving only the standard
     hlibrary.mk.  Closes: #520703, #543776.
Checksums-Sha1: 
 480237d14d4627226b20dfda15d7895b39bf3bd5 964 haskell-devscripts_0.6.17.dsc
 d22caba458ac3e3b482b34c2ab338514c46cc008 25545 haskell-devscripts_0.6.17.tar.gz
 52681e2a1c9ab919c0d999d45d97244742ca948a 27772 haskell-devscripts_0.6.17_all.deb
Checksums-Sha256: 
 be0d17fe05a081cec00092f4e00e8aec7b92bdfc40c1178730acec414c22411c 964 haskell-devscripts_0.6.17.dsc
 6dd67bcf81f25a3b8efd07a8981103e87c1f9649135d87a1eb72002a8b3ca7f0 25545 haskell-devscripts_0.6.17.tar.gz
 63d80d7d7daa99cc4cd777bc15fd7b0fe7664405224db5a37b1b8a6895465cb9 27772 haskell-devscripts_0.6.17_all.deb
Files: 
 2f819da00bd5775a221bd31a88dab09c 964 haskell optional haskell-devscripts_0.6.17.dsc
 45f9cb973138c9e56f4b265c5805ea57 25545 haskell optional haskell-devscripts_0.6.17.tar.gz
 802d3f660c092fb0c38e7c0392750de2 27772 haskell optional haskell-devscripts_0.6.17_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkr3LXgACgkQhAwOmkV1TkSynACdHtAsaKr84vsu7G9C2Mgoeb1z
QzoAnjKakmlrQmP/zWMew9wtznRzr3Ze
=CV2N
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Dec 2009 07:27:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:35:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.